GET
/vector_db/{VectorDB_id}/snapshot/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/vector_db/{VectorDB_id}/snapshot/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/gpu/vector_db/{VectorDB_id}/snapshot/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/vector_db/{VectorDB_id}/snapshot/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”VectorDB_id
required
integer
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
location
required
string
Location
Responses
Section titled “Responses”Successfully retrieved snapshot information
Media typeapplication/json
object
code
integer
message
string
data
Array<object>
object
id
integer
vector_db_id
integer
status
string
snapshot_time
string format: date-time
restoring_status
boolean
errors
object
Example
{ "code": 200, "message": "Success", "data": [ { "id": 69, "vector_db_id": 327, "status": "Creating", "snapshot_time": "2024-11-14T06:05:38.802401Z", "restoring_status": false } ], "errors": {}}